Skip to content

Authentication

Authenticating Requests to the DeliveryGo API

To make an authenticated request to the DeliveryGo API, include the access token obtained from Sysdyne ID in the Authorization header.

Example Request:

curl --location 'https://api.istrada.net/api/devices/123' \
--header 'Authorization: Bearer ***'

Obtaining an Access Token

Using the Client Credentials flow, exchange your client_id and client_secret to obtain an access token for the specified resource (https://api.istrada.net/api).

Include the scope parameter as a space-separated list of available scopes for your OAuth application. For more details, refer to the Permissions & Scopes documentation.

Token Request:

curl --location 'https://id.sysdyne.cloud/token' \
--data-urlencode 'client_id=xxxxxxxxxxxxxxxxx' \
--data-urlencode 'client_secret=xxxxxxxxxxxxxxxxx' \
--data-urlencode 'scope=customer:read customer:write xxxxx:read xxxxx:xxxx' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'resource=https://api.istrada.net/api'

Token Response:

{
  "access_token": "******",
  "expires_in": 86400,
  "token_type": "Bearer",
  "scope": "xxxxx:xxxx"
}